GNU bug report logs - #55369
[PATCH 1/2] gnu: zfs: Use new package style.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brian Cully <bjc@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55369-done <at> debbugs.gnu.org:


Received: (at 55369-done) by debbugs.gnu.org; 20 May 2022 18:15:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 14:15:26 2022
Received: from localhost ([127.0.0.1]:40065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns79q-0004Qc-4c
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 14:15:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ns79o-0004QP-12
 for 55369-done <at> debbugs.gnu.org; Fri, 20 May 2022 14:15:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60156)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ns79g-0006SG-Tb; Fri, 20 May 2022 14:15:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=zXO63hXPi52HcoIylOGtGY3i4NxPAK1D1kNZwOiXwn4=; b=cVriZjSge58GPaZrBGaM
 iNJHvzxCqMmlatIZDsq2WOG5v0M0iUSRhpCcaRzPk1KRrYmMrAsHWn7LmRJneLBqLxXDSgTKz0Vsk
 QUAkIKfCbAAf2HkRtgV0hZ/ZClJTYm1ZDxZmvGmb8KxGN1oxtf0qmWyEawIC9/2bWWWt1uwAghsuH
 o8G6BAa/4NsvTdXyCHOm8wCGNgjSh7/pGTGkPAXAClxVCFf0oR1mx0IHbsZu9hr8lzQ4zPNCV4n0X
 UqhU2rhElgGpc9ujtsKL1CGUPCHjLie55FDpAmvITJvW3S/OnGqRqH7czTDPyux1e9yolc0d4bVEU
 hObOKddQva7lmg==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49382 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1ns79Z-00019U-VN; Fri, 20 May 2022 14:15:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Brian Cully <bjc@HIDDEN>
Subject: Re: bug#55369: [PATCH 1/2] gnu: zfs: Use new package style.
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
 <421366c9802d6a5627c4bff3c7010ac376334b07.1652367916.git.bjc@HIDDEN>
Date: Fri, 20 May 2022 20:15:08 +0200
In-Reply-To: <421366c9802d6a5627c4bff3c7010ac376334b07.1652367916.git.bjc@HIDDEN>
 (Brian Cully's message of "Thu, 12 May 2022 11:05:16 -0400")
Message-ID: <87czg8xe8j.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55369-done
Cc: Maxime Devos <maximedevos@HIDDEN>, Brian Cully <bjc@HIDDEN>,
 55369-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Brian Cully <bjc@HIDDEN> skribis:

> From: Brian Cully <bjc@HIDDEN>
>
> * gnu/packages/file-systems.scm (zfs): Comment style.
> [arguments]: Rewrite using gexps.
> [inputs]: Remove labels.

Applied, thanks, and thanks Maxime as well!

Ludo=E2=80=99.




Notification sent to Brian Cully <bjc@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 12 May 2022 15:22:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 11:22:41 2022
Received: from localhost ([127.0.0.1]:41975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npAeH-00065G-9d
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 11:22:41 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:52881 helo=mail.spork.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1npAeF-000656-JI
 for 55369 <at> debbugs.gnu.org; Thu, 12 May 2022 11:22:40 -0400
Received: from ditto (unknown [IPv6:2001:470:1f07:1b9:8650:a942:ec5e:856b])
 by mail.spork.org (Postfix) with ESMTPSA id 012AD651F;
 Thu, 12 May 2022 11:22:38 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652368959; bh=aS1g8Bt6tYRQBrKbGUwSQBqwE6Fy6ni3IJP68qRzOuc=;
 h=References:From:To:Cc:Subject:Date:In-reply-to;
 b=BD6OKs4wIkTpWWhBF6B364VtifhT2K1BgmVp2vxQTjjeW1F3de4Ye/OZ5vvQVkOoY
 DJ9rvof+dCtxDp4qmHjJchhNR6X77KXdQE+mRtq9vb78SWzZnKUSPYRu6dOjXzCYMD
 xBlGrp3ggn6tM9ybMGisnpXptLRm2KtKxACVxV7E=
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
 <13492dbd701ac1c80ed4285b562c838bd23c7687.1652284116.git.bjc@HIDDEN>
 <d9a7701092614539ed16953d3dacd457cebd35f5.camel@HIDDEN>
 <87a6bnmosm.fsf@HIDDEN>
 <87v8ualsqd.fsf@HIDDEN>
 <a09acf0caad93fb6816439507913b6823cbb79bf.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.1
From: Brian Cully <bjc@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#55369] [PATCH v2] gnu: Change OpenZFS home page to reflect
 new project ownership.
Date: Thu, 12 May 2022 11:07:15 -0400
In-reply-to: <a09acf0caad93fb6816439507913b6823cbb79bf.camel@HIDDEN>
Message-ID: <87r14ylqro.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: 55369 <at> debbugs.gnu.org, Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Maxime Devos <maximedevos@HIDDEN> writes:
> Not sure which home page would be the best (the general=20
> cross-platform
> home page, or the Linux-specific home page), but I'd guess that=20
> as
> someone interested in OpenZFS you would know the best here.=20
> Summarised: maybe keep the patch?

I=E2=80=99m extremely comfortable leaving this up to project leads,=20
depending on what they think is most useful for the overall user=20
base. My thinking on the subject is that the proposed URL is, in=20
general, more useful than the previous one for finding=20
information, aligns with the repository name (and should raise=20
fewer eyebrows as a result), and who knows, maybe some day ZFS is=20
ported to GNU Hurd so the Linux focus would be less=20
appropriate. ;)

But right now this is Linux specific, so pointing at Linux=20
specific resources also makes sense.

-bjc




Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 12 May 2022 15:06:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 11:06:58 2022
Received: from localhost ([127.0.0.1]:41965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npAP3-0005fJ-Nm
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 11:06:58 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:52114 helo=mail.spork.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1npAOx-0005f7-WA
 for 55369 <at> debbugs.gnu.org; Thu, 12 May 2022 11:06:57 -0400
Received: from guix.jhoto.kublai.com (unknown
 [IPv6:2001:470:1f07:1b9:c714:ed8b:7cf4:a700])
 by mail.spork.org (Postfix) with ESMTPSA id 7AF926584;
 Thu, 12 May 2022 11:06:51 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652368011; bh=WPGHdtppDgfEkDSJF9QmiQxwTikzLSXZu+CVSDKjH5s=;
 h=From:To:Cc:Subject:Date;
 b=wwB9eI+CIXSZ1EmP1SfitXq1TAae2GfnON/jRy2woBHPQljDHoc9BdM+Jn8RBUHaJ
 SHz47ejUAoIF3V8IILmjJlFwGsRrVHypTr+FMEGWSPY61ADSjAGuONaMJQsk2/ZcIH
 zykFaVgfbAD1yneEnUXLx2XKvDpGqu9mGgEM7dmc=
From: Brian Cully <bjc@HIDDEN>
To: 55369 <at> debbugs.gnu.org
Subject: [PATCH v3 1/2] gnu: zfs: Use new package style.
Date: Thu, 12 May 2022 11:05:16 -0400
Message-Id: <421366c9802d6a5627c4bff3c7010ac376334b07.1652367916.git.bjc@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Brian Cully <bjc@HIDDEN>

* gnu/packages/file-systems.scm (zfs): Comment style.
[arguments]: Rewrite using gexps.
[inputs]: Remove labels.
---

This changes the use of (assoc-ref inputs "linux-module-builder") to
an invocation of (search-input-directory inputs "lib/modules/build").

 gnu/packages/file-systems.scm | 248 ++++++++++++++++++----------------
 1 file changed, 128 insertions(+), 120 deletions(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index e6ec51fe40..3d93f59585 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -1158,128 +1158,136 @@ (define-public zfs
            (base32 "1xmcy4f0damf1pkb1sy1339ir1jkky0dwzd8vhwgc1pqjgac0liv"))))
     (build-system linux-module-build-system)
     (arguments
-     `(;; The ZFS kernel module should not be downloaded since the license
-       ;; terms don't allow for distributing it, only building it locally.
-       #:substitutable? #f
-       ;; Tests cannot run in an unprivileged build environment.
-       #:tests? #f
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'configure 'really-configure
-           (lambda* (#:key outputs inputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (substitute* "configure"
-                 (("-/bin/sh") (string-append "-" (which "sh"))))
-               (invoke "./configure"
-                       "--with-config=all"
-                       (string-append "--prefix=" out)
-                       (string-append "--with-dracutdir=" out "/lib/dracut")
-                       (string-append "--with-udevdir=" out "/lib/udev")
-                       (string-append "--with-mounthelperdir=" out "/sbin")
-                       (string-append "--with-linux="
-                                      (assoc-ref inputs "linux-module-builder")
-                                      "/lib/modules/build")))))
-         (add-after 'unpack 'patch-source
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out        (assoc-ref outputs "out"))
-                   (src        (assoc-ref outputs "src"))
-                   (util-linux (assoc-ref inputs "util-linux"))
-                   (nfs-utils  (assoc-ref inputs "nfs-utils"))
-                   (kmod       (assoc-ref inputs "kmod-runtime")))
-               ;; New feature "compatibility=" in 2.1.0.
-               ;; This feature looks up in two locations:
-               ;;   /etc/zfs/compatibility.d/
-               ;;   /usr/share/zfs/compatibility.d/
-               ;; The first is intended for system-specific compatibility
-               ;; sets, while the second is what is installed with the
-               ;; OpenZFS package, so use the absolute path for the first
-               ;; (which requires patching in the file) and the store path
-               ;; for the second (which it gets by default).
-               (substitute* "include/sys/fs/zfs.h"
-                 (("#define\tZPOOL_SYSCONF_COMPAT_D.*$")
-                  ; Use absolute path.
-                  "#define\tZPOOL_SYSCONF_COMPAT_D\t\"/etc/zfs/compatibility.d\"\n"))
-               ;; Also update the manual, which uses absolute paths, so that
-               ;; /usr/share/zfs/compatibility.d/ is referred via the store.
-               (substitute* '("man/man7/zpoolprops.7"
-                              "man/man7/zpool-features.7")
-                 (("/usr/share/zfs/compatibility.d")
-                  (string-append out "/share/zfs/compatibility.d")))
-               (substitute* "etc/Makefile.in"
-                 ;; This just contains an example configuration file for
-                 ;; configuring ZFS on traditional init systems, skip it
-                 ;; since we cannot use it anyway; the install target becomes
-                 ;; misdirected.
-                 (("= default ") "= "))
-               (substitute* "lib/libzfs/os/linux/libzfs_util_os.c"
-                 ;; Use path to /gnu/store/*-kmod in actual path that is exec'ed.
-                 (("\"/sbin/modprobe\"")
-                  (string-append "\"" kmod "/bin/modprobe" "\""))
-                 ;; Just use 'modprobe' in message to user, since Guix
-                 ;; does not have a traditional /sbin/
-                 (("'/sbin/modprobe ") "'modprobe "))
-               (substitute* "contrib/Makefile.in"
-                 ;; This is not configurable nor is its hard-coded /usr prefix.
-                 ((" initramfs") ""))
-               (substitute* "module/os/linux/zfs/zfs_ctldir.c"
-                 (("/usr/bin/env\", \"umount")
-                  (string-append util-linux "/bin/umount\", \"-n"))
-                 (("/usr/bin/env\", \"mount")
-                  (string-append util-linux "/bin/mount\", \"-n")))
-               (substitute* "lib/libzfs/os/linux/libzfs_mount_os.c"
-                 (("/bin/mount") (string-append util-linux "/bin/mount"))
-                 (("/bin/umount") (string-append util-linux "/bin/umount")))
-               (substitute* "lib/libshare/os/linux/nfs.c"
-                 (("/usr/sbin/exportfs")
-                  (string-append nfs-utils "/sbin/exportfs")))
-               (substitute* "config/zfs-build.m4"
-                 (("\\$sysconfdir/init.d") (string-append out "/etc/init.d")))
-               (substitute* '("etc/zfs/Makefile.am"
-                              "cmd/zed/Makefile.am")
-                 (("\\$\\(sysconfdir)") (string-append out "/etc")))
-               (substitute* "cmd/vdev_id/vdev_id"
-                 (("PATH=/bin:/sbin:/usr/bin:/usr/sbin")
-                  (string-append "PATH="
-                                 (dirname (which "chmod")) ":"
-                                 (dirname (which "grep")) ":"
-                                 (dirname (which "sed")) ":"
-                                 (dirname (which "gawk")))))
-               (substitute* "contrib/pyzfs/Makefile.in"
-                 ((".*install-lib.*") ""))
-               (substitute* '("Makefile.am" "Makefile.in")
-                 (("\\$\\(prefix)/src") (string-append src "/src")))
-               (substitute* (find-files "udev/rules.d/" ".rules.in$")
-                 (("/sbin/modprobe") (string-append kmod "/bin/modprobe"))))))
-         (replace 'build
-           (lambda _ (invoke "make")))
-         (replace 'install
-           (lambda* (#:key outputs inputs native-inputs #:allow-other-keys)
-             (let* ((out    (assoc-ref outputs "out"))
-                    (moddir (assoc-ref outputs "module"))
-                    (kmod   (assoc-ref (or native-inputs inputs) "kmod")))
-               (invoke "make" "install"
-                       (string-append "DEFAULT_INITCONF_DIR=" out "/etc/default")
-                       (string-append "DEPMOD=" kmod "/bin/depmod")
-                       (string-append "INSTALL_PATH=" out)
-                       (string-append "INSTALL_MOD_PATH=" moddir)
-                       "INSTALL_MOD_STRIP=1")
-               (install-file "contrib/bash_completion.d/zfs"
-                             (string-append out
-                                            "/share/bash-completion/completions"))))))))
+     (list
+      ;; The ZFS kernel module should not be downloaded since the license
+      ;; terms don't allow for distributing it, only building it locally.
+      #:substitutable? #f
+      ;; Tests cannot run in an unprivileged build environment.
+      #:tests? #f
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'configure 'really-configure
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "configure"
+                (("-/bin/sh") (string-append "-" (which "sh"))))
+              (invoke "./configure"
+                      "--with-config=all"
+                      (string-append "--prefix=" #$output)
+                      (string-append "--with-dracutdir=" #$output
+                                     "/lib/dracut")
+                      (string-append "--with-udevdir=" #$output
+                                     "/lib/udev")
+                      (string-append "--with-mounthelperdir=" #$output
+                                     "/sbin")
+                      (string-append "--with-linux="
+                                     (search-input-directory
+                                      inputs
+                                      "lib/modules/build")))))
+          (add-after 'unpack 'patch-source
+            (lambda* (#:key inputs #:allow-other-keys)
+              ;; New feature "compatibility=" in 2.1.0.
+              ;; This feature looks up in two locations:
+              ;;   /etc/zfs/compatibility.d/
+              ;;   /usr/share/zfs/compatibility.d/
+              ;; The first is intended for system-specific compatibility
+              ;; sets, while the second is what is installed with the
+              ;; OpenZFS package, so use the absolute path for the first
+              ;; (which requires patching in the file) and the store path
+              ;; for the second (which it gets by default).
+              (substitute* "include/sys/fs/zfs.h"
+                (("#define\tZPOOL_SYSCONF_COMPAT_D.*$")
+                 ;; Use absolute path.
+                 "#define\tZPOOL_SYSCONF_COMPAT_D\t\"/etc/zfs/compatibility.d\"\n"))
+              ;; Also update the manual, which uses absolute paths, so that
+              ;; /usr/share/zfs/compatibility.d/ is referred via the store.
+              (substitute* '("man/man7/zpoolprops.7"
+                             "man/man7/zpool-features.7")
+                (("/usr/share/zfs/compatibility.d")
+                 (string-append #$output "/share/zfs/compatibility.d")))
+              (substitute* "etc/Makefile.in"
+                ;; This just contains an example configuration file for
+                ;; configuring ZFS on traditional init systems, skip it
+                ;; since we cannot use it anyway; the install target becomes
+                ;; misdirected.
+                (("= default ") "= "))
+              (substitute* "lib/libzfs/os/linux/libzfs_util_os.c"
+                ;; Use path to /gnu/store/*-kmod in actual path that is
+                ;; exec'ed.
+                (("\"/sbin/modprobe\"")
+                 (string-append "\""
+                                (search-input-file inputs "/bin/modprobe")
+                                "\""))
+                ;; Just use 'modprobe' in message to user, since Guix
+                ;; does not have a traditional /sbin/
+                (("'/sbin/modprobe ") "'modprobe "))
+              (substitute* "contrib/Makefile.in"
+                ;; This is not configurable nor is its hard-coded /usr prefix.
+                ((" initramfs") ""))
+              (substitute* "module/os/linux/zfs/zfs_ctldir.c"
+                (("/usr/bin/env\", \"umount")
+                 (string-append (search-input-file inputs "/bin/umount")
+                                "\", \"-n"))
+                (("/usr/bin/env\", \"mount")
+                 (string-append (search-input-file inputs "/bin/mount")
+                                "\", \"-n")))
+              (substitute* "lib/libzfs/os/linux/libzfs_mount_os.c"
+                (("/bin/mount") (search-input-file inputs "/bin/mount"))
+                (("/bin/umount") (search-input-file inputs "/bin/umount")))
+              (substitute* "lib/libshare/os/linux/nfs.c"
+                (("/usr/sbin/exportfs")
+                 (search-input-file inputs "/sbin/exportfs")))
+              (substitute* "config/zfs-build.m4"
+                (("\\$sysconfdir/init.d")
+                 (string-append #$output "/etc/init.d")))
+              (substitute* '("etc/zfs/Makefile.am"
+                             "cmd/zed/Makefile.am")
+                (("\\$\\(sysconfdir)") (string-append #$output "/etc")))
+              (substitute* "cmd/vdev_id/vdev_id"
+                (("PATH=/bin:/sbin:/usr/bin:/usr/sbin")
+                 (string-append "PATH="
+                                (dirname (which "chmod")) ":"
+                                (dirname (which "grep")) ":"
+                                (dirname (which "sed")) ":"
+                                (dirname (which "gawk")))))
+              (substitute* "contrib/pyzfs/Makefile.in"
+                ((".*install-lib.*") ""))
+              (substitute* '("Makefile.am" "Makefile.in")
+                (("\\$\\(prefix)/src") (string-append #$output:src "/src")))
+              (substitute* (find-files "udev/rules.d/" ".rules.in$")
+                (("/sbin/modprobe")
+                 (search-input-file inputs "/bin/modprobe")))))
+          (replace 'build
+            (lambda _ (invoke "make")))
+          (replace 'install
+            (lambda* (#:key inputs native-inputs #:allow-other-keys)
+              (let* ((kmod (assoc-ref (or native-inputs inputs) "kmod")))
+                (invoke "make" "install"
+                        (string-append "DEFAULT_INITCONF_DIR="
+                                       #$output "/etc/default")
+                        (string-append "DEPMOD="
+                                       (search-input-file
+                                        (or native-inputs inputs)
+                                        "/bin/depmod"))
+                        (string-append "INSTALL_PATH=" #$output)
+                        (string-append "INSTALL_MOD_PATH=" #$output:module)
+                        "INSTALL_MOD_STRIP=1")
+                (install-file
+                 "contrib/bash_completion.d/zfs"
+                 (string-append #$output
+                                "/share/bash-completion/completions"))))))))
     (native-inputs
      (list attr kmod pkg-config))
-    (inputs
-     `(("eudev" ,eudev)
-       ("kmod-runtime" ,kmod)
-       ("libaio" ,libaio)
-       ("libtirpc" ,libtirpc)
-       ("nfs-utils" ,nfs-utils)
-       ("openssl" ,openssl)
-       ("python" ,python)
-       ("python-cffi" ,python-cffi)
-       ("util-linux" ,util-linux)
-       ("util-linux:lib" ,util-linux "lib")
-       ("zlib" ,zlib)))
+    (inputs (list eudev
+                  kmod
+                  libaio
+                  libtirpc
+                  nfs-utils
+                  openssl
+                  python
+                  python-cffi
+                  util-linux
+                  `(,util-linux "lib")
+                  zlib))
     (home-page "https://zfsonlinux.org/")
     (synopsis "OpenZFS on Linux")
     (description
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 12 May 2022 14:43:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 10:43:51 2022
Received: from localhost ([127.0.0.1]:41949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npA2h-0004yZ-HH
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 10:43:51 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:51146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1npA2e-0004yO-J5
 for 55369 <at> debbugs.gnu.org; Thu, 12 May 2022 10:43:49 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id Vqjm270094UW6Th01qjmvm; Thu, 12 May 2022 16:43:47 +0200
Message-ID: <a09acf0caad93fb6816439507913b6823cbb79bf.camel@HIDDEN>
Subject: Re: [bug#55369] [PATCH v2] gnu: Change OpenZFS home page to reflect
 new project ownership.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brian Cully <bjc@HIDDEN>
Date: Thu, 12 May 2022 16:43:41 +0200
In-Reply-To: <87v8ualsqd.fsf@HIDDEN>
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
 <13492dbd701ac1c80ed4285b562c838bd23c7687.1652284116.git.bjc@HIDDEN>
 <d9a7701092614539ed16953d3dacd457cebd35f5.camel@HIDDEN>
 <87a6bnmosm.fsf@HIDDEN>
 <87v8ualsqd.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-kXJOnpgItjP7O6q16hox"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652366627; bh=HoxDc6FnKGm5NrbHvor3hNDrpPDjOdjdNmMgol83GEY=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=I9nvzu2Tz5dy10jmpdZLguOTRWh2FfNCKJfrCHJ8U5ydoMTpRpTNY9HSlPKKq9ghK
 yhzXwDo4fFjHD17qQywDdPsiQy7DgzTZmmvjEUN0y2zliKLss+icoSmZ3m2uhL/a/P
 0rZnMeEFynrLBykw6EjSI/zrFC6jckpptfnoza2wBXdCH7bq6xmXff0Sp5PUpbjYX2
 bzh4AM7Jiu0VByooI2bwu8yZRLneRdBq+YnTyyIUsR7DdFYXe/GmOR1nk8qiP/P9S4
 T8kjUBU+cMkF2Xsg3fr6YYv8u2MMQV95WxsLh1gNpagiUn7TxSmuz45xjZmRevNOMK
 I/bbYLlmk2zLQ==
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55369
Cc: 55369 <at> debbugs.gnu.org, Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


--=-kXJOnpgItjP7O6q16hox
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Brian Cully schreef op do 12-05-2022 om 10:36 [-0400]:
> So it looks like the github repository was renamed as things=20
> merged in from FreeBSD, but the ZFSonLinux project is still extant=20
> as a Linux-specific resource for ZFS issues:=20
> https://zfsonlinux.topicbox.com/groups/zfs-discuss/T13eedc32607dab41/zol-=
repo-move-to-openzfs
>=20
> I=E2=80=99m ok with dropping this part of the patch. I=E2=80=99d only add=
ed it to=20
> align the github repo (which is openzfs) with the project home=20
> page. I think it still makes sense to do so, but I=E2=80=99m not terribly=
=20
> invested in having this patch applied one way or the other.

Not sure which home page would be the best (the general cross-platform
home page, or the Linux-specific home page), but I'd guess that as
someone interested in OpenZFS you would know the best here.=20
Summarised: maybe keep the patch?

Greetings,
Maxime.

--=-kXJOnpgItjP7O6q16hox
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYn0dHRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7r8DAQCQYvresI70bfn2B/r1CK28cZN6
3ev+6riVJoXT129cXAEAgXkjVhV/cJPX8qLIkC86C/KFRTleR9BSAmSEeEX+3AA=
=Z13N
-----END PGP SIGNATURE-----

--=-kXJOnpgItjP7O6q16hox--





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 12 May 2022 14:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 10:40:19 2022
Received: from localhost ([127.0.0.1]:41944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1np9zG-0004sd-SB
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 10:40:19 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:53842 helo=mail.spork.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1np9zE-0004sT-U1
 for 55369 <at> debbugs.gnu.org; Thu, 12 May 2022 10:40:17 -0400
Received: from ditto (unknown [IPv6:2001:470:1f07:1b9:8650:a942:ec5e:856b])
 by mail.spork.org (Postfix) with ESMTPSA id 4F00E6581;
 Thu, 12 May 2022 10:40:14 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652366416; bh=3jCe+19eXnkp1Yr5HVt8G1jLC4nRbux8zPGuHrBqA/U=;
 h=References:From:To:Cc:Subject:Date:In-reply-to;
 b=a5q68aZEqKH3f4uc94HmkjIwW32HuT7e5KyUDKS/jMoB6NvWEu+Lkz2mWCdqrGbUR
 aMRUZdfSQegfjQQ4892f3+t9as0/61eM0lnKE9kTU4efwU30aDG/FBwAakfC4d+Sto
 MXpXII2Janh6yVr9iu/rFE4t9LC+Nc0XHminJTN0=
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
 <13492dbd701ac1c80ed4285b562c838bd23c7687.1652284116.git.bjc@HIDDEN>
 <d9a7701092614539ed16953d3dacd457cebd35f5.camel@HIDDEN>
 <87a6bnmosm.fsf@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.1
From: Brian Cully <bjc@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#55369] [PATCH v2] gnu: Change OpenZFS home page to reflect
 new project ownership.
Date: Thu, 12 May 2022 10:36:43 -0400
In-reply-to: <87a6bnmosm.fsf@HIDDEN>
Message-ID: <87v8ualsqd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 55369
Cc: 55369 <at> debbugs.gnu.org, Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


Brian Cully <bjc@HIDDEN> writes:
> I=E2=80=99ll try to dig it up, but I want to say about a year ago, right
> before FreeBSD swapped over to using it (instead of their own=20
> fork
> from the Illumos/OpenSolaris upstream), they changed the=20
> organization.

So it looks like the github repository was renamed as things=20
merged in from FreeBSD, but the ZFSonLinux project is still extant=20
as a Linux-specific resource for ZFS issues:=20
https://zfsonlinux.topicbox.com/groups/zfs-discuss/T13eedc32607dab41/zol-re=
po-move-to-openzfs

I=E2=80=99m ok with dropping this part of the patch. I=E2=80=99d only added=
 it to=20
align the github repo (which is openzfs) with the project home=20
page. I think it still makes sense to do so, but I=E2=80=99m not terribly=20
invested in having this patch applied one way or the other.

-bjc




Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 12 May 2022 03:07:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 23:07:56 2022
Received: from localhost ([127.0.0.1]:39084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nozBE-00025K-Jq
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 23:07:56 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:52553 helo=mail.spork.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1nozBB-00025A-BK
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 23:07:55 -0400
Received: from ditto (unknown [IPv6:2001:470:1f07:1b9:8650:a942:ec5e:856b])
 by mail.spork.org (Postfix) with ESMTPSA id 6E15F63B9;
 Wed, 11 May 2022 23:07:41 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652324872; bh=KJTfuXfU9rAu2Yo4NwerFuCps0iKeMcuTOfHnH5R6g0=;
 h=References:From:To:Cc:Subject:Date:In-reply-to;
 b=A+VBkDcvYnsW2sc1ql8ADZsoll5MBzhuKdq4wR7lv3VzYlKz1VtgAB5cCAm0f0U28
 7oLD8Q8/jNFExTGZS3/U8O1WzgVLHupt4gjDldUUKWRKsg1PgWkDu8bTjJc31hWysU
 gT2x9Kg/wH+xn4fkzmk1VCGFLbC2TjAt92nWsIvQ=
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
 <13492dbd701ac1c80ed4285b562c838bd23c7687.1652284116.git.bjc@HIDDEN>
 <d9a7701092614539ed16953d3dacd457cebd35f5.camel@HIDDEN>
User-agent: mu4e 1.6.10; emacs 28.1
From: Brian Cully <bjc@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#55369] [PATCH v2] gnu: Change OpenZFS home page to reflect
 new project ownership.
Date: Wed, 11 May 2022 23:05:29 -0400
In-reply-to: <d9a7701092614539ed16953d3dacd457cebd35f5.camel@HIDDEN>
Message-ID: <87a6bnmosm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: 55369 <at> debbugs.gnu.org, Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Maxime Devos <maximedevos@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
> Brian Cully via Guix-patches via schreef op wo 11-05-2022 om=20
> 11:48 [-
> 0400]:
>> -=C2=A0=C2=A0=C2=A0 (home-page "https://zfsonlinux.org/")
>> +=C2=A0=C2=A0=C2=A0 (home-page "https://openzfs.org/")
>
> I'm not sure about this change, since 'zfsonlinux' is more=20
> specific
> than 'openzfs' and at least currently, Guix only supports ZFS on=20
> Linux
> (I don't think there's a Hurd front-end?) and zfsonlinux.org=20
> seems to
> be still in use (there's a new zfs release there for Mar 23=20
> 2022).
> Is there some upstream document about zfsonlinux -> openzfs?

I=E2=80=99ll try to dig it up, but I want to say about a year ago, right=20
before FreeBSD swapped over to using it (instead of their own fork=20
from the Illumos/OpenSolaris upstream), they changed the=20
organization.

-bjc




Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 11 May 2022 19:36:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 15:36:47 2022
Received: from localhost ([127.0.0.1]:38530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nos8d-00082C-7M
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 15:36:47 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:45460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nos8b-000822-KF
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 15:36:46 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by baptiste.telenet-ops.be with bizsmtp
 id VXck2700G4UW6Th01XckD1; Wed, 11 May 2022 21:36:44 +0200
Message-ID: <d9a7701092614539ed16953d3dacd457cebd35f5.camel@HIDDEN>
Subject: Re: [bug#55369] [PATCH v2] gnu: Change OpenZFS home page to reflect
 new project ownership.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brian Cully <bjc@HIDDEN>, 55369 <at> debbugs.gnu.org
Date: Wed, 11 May 2022 21:36:44 +0200
In-Reply-To: <13492dbd701ac1c80ed4285b562c838bd23c7687.1652284116.git.bjc@HIDDEN>
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
 <13492dbd701ac1c80ed4285b562c838bd23c7687.1652284116.git.bjc@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-ieom+Je+Ds3IkY0bO4GF"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652297804; bh=KIK8rBV7JnLrdTmrEj3SoaHK32v+z97utEy01eUJnxU=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=pBdXXWb+fZZMLhmQMw8Lt3lfba1RF6DiMYGEvYympyfl5rzvP5CPH7p+mdGm9NBRv
 Lv7/PSeP2jEtwjj0lDcNGUzRpQDgtW2suYxurfk2njeDos8KYGPCufnZHhoQ1yqlET
 cwpVvU+HV8oIEvJGwUS5Ao7LR1qFvEjk8pS0sodfTLKtJih5U+mwYt277u7Wkgv25L
 45zFIZ5dD3Fj5w/FCOd2GFdUJRYXmBeQyt5Puy07vNxSGpOB+kZj9Y3bnT1I8yQ5cZ
 JKgYLK31icrIO8/GWOANU0tL7oqW7zqdN/lcL8paBeMe8VKMi2B02pB/IkZorp+DqD
 IkEqUZtZ9ohKQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-ieom+Je+Ds3IkY0bO4GF
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Brian Cully via Guix-patches via schreef op wo 11-05-2022 om 11:48 [-
0400]:
> -=C2=A0=C2=A0=C2=A0 (home-page "https://zfsonlinux.org/")
> +=C2=A0=C2=A0=C2=A0 (home-page "https://openzfs.org/")

I'm not sure about this change, since 'zfsonlinux' is more specific
than 'openzfs' and at least currently, Guix only supports ZFS on Linux
(I don't think there's a Hurd front-end?) and zfsonlinux.org seems to
be still in use (there's a new zfs release there for Mar 23 2022).
Is there some upstream document about zfsonlinux -> openzfs?

Greetings,
Maxime.

--=-ieom+Je+Ds3IkY0bO4GF
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnwQTBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qOuAQCAfYIxmpz03QadvJ+ZFjLkqd75
Z1j8tcG4xmCRqfSvOQD/fs+xgkdgPCXgaMthc0tDXkAvZrehQSCXCTktoSfdjAo=
=GCJa
-----END PGP SIGNATURE-----

--=-ieom+Je+Ds3IkY0bO4GF--





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 11 May 2022 19:33:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 15:33:33 2022
Received: from localhost ([127.0.0.1]:38523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nos5U-0007wd-Pg
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 15:33:32 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:41346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nos5S-0007wT-Fq
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 15:33:31 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by baptiste.telenet-ops.be with bizsmtp
 id VXZU270014UW6Th01XZUoT; Wed, 11 May 2022 21:33:29 +0200
Message-ID: <ab646edfe766d2578687ee19eb084e8ab0ffabe5.camel@HIDDEN>
Subject: Re: [bug#55369] [PATCH v2 1/2] gnu: zfs: Use new package style.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brian Cully <bjc@HIDDEN>, 55369 <at> debbugs.gnu.org
Date: Wed, 11 May 2022 21:33:23 +0200
In-Reply-To: <d0a42dc8c2ba95b0b97c7cb6a6a7ccaaf06ef056.1652283785.git.bjc@HIDDEN>
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
 <d0a42dc8c2ba95b0b97c7cb6a6a7ccaaf06ef056.1652283785.git.bjc@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-BPELofSuPltmSRzfkAVU"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652297609; bh=tRDwAJLUgZPf7hTc3a/9IuXYFKiSPfjdY2rnOu2XMJ8=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=WUuFHihlgggaTB3/FVyoXoWHaRpsXfP/brrwDWaXYbc9WX/1QiafYlTyg6U13+f9a
 UJSkJj0ab9iexbUJ7RGcre8VMUvVrkPczNbg6+Qd1gytOpHjb6GpXpqUWIsF/X9iXH
 76VBkRcIUqYgvX+SjBJquHSmOi1odGXmkXbJLDXiy+Y0EvaIHiDn7dyDMxHRoytGhC
 ogtbnKFAKGZiEboz7k/dXEDxxgZRczzVDGZfXdPLQMA2nR+1qBR8TFT/paU0sbff0w
 nyVS9A35TaFPfciIknBP9FnqRNSVIwNavo1eXnrnwTkeZLp8EnazZmHebKub48PVTz
 YPiFJOef/eusw==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-BPELofSuPltmSRzfkAVU
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Brian Cully via Guix-patches via schreef op wo 11-05-2022 om 11:43 [-
0400]:
> [inputs]: Remove labels.

Nice.

> ---
> This patch replaces ungexp'd package references with
> (search-input-file =E2=80=A6) and puts =E2=80=98util-linux=E2=80=99 back =
in the inputs.

The uses of 'search-input-file' look good to me at first sight.
One additional nitpick:

> +                      (string-append "--with-linux=3D"
> +                                     (assoc-ref inputs "linux-
module-builder")
> +                                     "/lib/modules/build"))))

You can remove an input label here as well, try 'search-input-
directory' (untested):

(string-append "--with-linux=3D"
  ;; provided by 'linux-module-build-system'
  (search-input-directory inputs "lib/modules/build"))

Greetings,
Maxime.

--=-BPELofSuPltmSRzfkAVU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnwPgxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sCnAP9x410hm1gGt8l5YBwf/ePfyZiL
mNx9ZHp0Ie8MLTF3UQEAxgTqgeE/nS0hSwXez+OBmUtKyK4sZwh1AghJKIlnmQw=
=VoXi
-----END PGP SIGNATURE-----

--=-BPELofSuPltmSRzfkAVU--





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 11 May 2022 15:48:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 11:48:39 2022
Received: from localhost ([127.0.0.1]:38200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nooZq-0005Bg-W7
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 11:48:39 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:59003 helo=mail.spork.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1nooZp-0005Ba-Ml
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 11:48:38 -0400
Received: from guix.jhoto.kublai.com (unknown
 [IPv6:2001:470:1f07:1b9:c714:ed8b:7cf4:a700])
 by mail.spork.org (Postfix) with ESMTPSA id 5CEF26344;
 Wed, 11 May 2022 11:48:37 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652284117; bh=jXFWcfVjh+KsksRAzrMdAt5U5NFk0N3zpxmeLQtFtwE=;
 h=From:To:Cc:Subject:Date;
 b=L1ho1QlyPZ7NKmq4soOwj2bgoYM4WHofI58zBZqx/hsCBsu1+yWWQKPs80tkr9ttp
 Ad3FkePZEsTHpQ3TbedFZlJQ5cBcs4gRcVngP6R72mHSQO6sB3Yd1dFwiG8X1EDBEj
 rVmeRWafhaOo/x19ZZKxxtosC8wo45PwnvAhm9CA=
From: Brian Cully <bjc@HIDDEN>
To: 55369 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: Change OpenZFS home page to reflect new project
 ownership.
Date: Wed, 11 May 2022 11:48:36 -0400
Message-Id: <13492dbd701ac1c80ed4285b562c838bd23c7687.1652284116.git.bjc@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Brian Cully <bjc@HIDDEN>

gnu/packages/file-systems.scm (zfs) [home-page]: Update URL.
---
 gnu/packages/file-systems.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index f9309ebac2..1bebac2b85 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -1287,7 +1287,7 @@ (define-public zfs
                   util-linux
                   `(,util-linux "lib")
                   zlib))
-    (home-page "https://zfsonlinux.org/")
+    (home-page "https://openzfs.org/")
     (synopsis "OpenZFS on Linux")
     (description
      "OpenZFS is an advanced file system and volume manager which was
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 11 May 2022 15:45:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 11:45:43 2022
Received: from localhost ([127.0.0.1]:38195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nooWy-00053X-06
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 11:45:43 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:53094 helo=mail.spork.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1nooWw-00053Q-8e
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 11:45:39 -0400
Received: from guix.jhoto.kublai.com (unknown
 [IPv6:2001:470:1f07:1b9:c714:ed8b:7cf4:a700])
 by mail.spork.org (Postfix) with ESMTPSA id BC1AC62A4;
 Wed, 11 May 2022 11:45:37 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652283937; bh=Qx3hZoQh/EiUWoeqRFkst3XXvd9WRgCKjZOGgDKA2NM=;
 h=From:To:Cc:Subject:Date;
 b=DxZgO3xcxHIKGYL57s0/lkqgEpveYR/e+dECmkWER2vJtOPeWRxRmN4M7FqxdxNi+
 6RLoEo6gM7Sr9sEMUF9kVlI2rJjU+z/AGw9BoGNrXvzFwFM9SJ4eNfIinS58uLN1T/
 uAZuLmQJHnHGFirdTy7RW4oZBIhWMU9Ljw7FC1D8=
From: Brian Cully <bjc@HIDDEN>
To: 55369 <at> debbugs.gnu.org
Subject: [PATCH v2 1/2] gnu: zfs: Use new package style.
Date: Wed, 11 May 2022 11:43:05 -0400
Message-Id: <d0a42dc8c2ba95b0b97c7cb6a6a7ccaaf06ef056.1652283785.git.bjc@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

From: Brian Cully <bjc@HIDDEN>

* gnu/packages/file-systems.scm (zfs): Comment style.
[arguments]: Rewrite using gexps.
[inputs]: Remove labels.
---
This patch replaces ungexp'd package references with
(search-input-file …) and puts ‘util-linux’ back in the inputs.

As the previous patch referenced ‘util-linux’ directly (rather than
s-i-f), it accidentally pulled in the required binaries as a side-effect.
 gnu/packages/file-systems.scm | 247 +++++++++++++++++-----------------
 1 file changed, 127 insertions(+), 120 deletions(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index e6ec51fe40..f9309ebac2 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -1158,128 +1158,135 @@ (define-public zfs
            (base32 "1xmcy4f0damf1pkb1sy1339ir1jkky0dwzd8vhwgc1pqjgac0liv"))))
     (build-system linux-module-build-system)
     (arguments
-     `(;; The ZFS kernel module should not be downloaded since the license
-       ;; terms don't allow for distributing it, only building it locally.
-       #:substitutable? #f
-       ;; Tests cannot run in an unprivileged build environment.
-       #:tests? #f
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'configure 'really-configure
-           (lambda* (#:key outputs inputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (substitute* "configure"
-                 (("-/bin/sh") (string-append "-" (which "sh"))))
-               (invoke "./configure"
-                       "--with-config=all"
-                       (string-append "--prefix=" out)
-                       (string-append "--with-dracutdir=" out "/lib/dracut")
-                       (string-append "--with-udevdir=" out "/lib/udev")
-                       (string-append "--with-mounthelperdir=" out "/sbin")
-                       (string-append "--with-linux="
-                                      (assoc-ref inputs "linux-module-builder")
-                                      "/lib/modules/build")))))
-         (add-after 'unpack 'patch-source
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out        (assoc-ref outputs "out"))
-                   (src        (assoc-ref outputs "src"))
-                   (util-linux (assoc-ref inputs "util-linux"))
-                   (nfs-utils  (assoc-ref inputs "nfs-utils"))
-                   (kmod       (assoc-ref inputs "kmod-runtime")))
-               ;; New feature "compatibility=" in 2.1.0.
-               ;; This feature looks up in two locations:
-               ;;   /etc/zfs/compatibility.d/
-               ;;   /usr/share/zfs/compatibility.d/
-               ;; The first is intended for system-specific compatibility
-               ;; sets, while the second is what is installed with the
-               ;; OpenZFS package, so use the absolute path for the first
-               ;; (which requires patching in the file) and the store path
-               ;; for the second (which it gets by default).
-               (substitute* "include/sys/fs/zfs.h"
-                 (("#define\tZPOOL_SYSCONF_COMPAT_D.*$")
-                  ; Use absolute path.
-                  "#define\tZPOOL_SYSCONF_COMPAT_D\t\"/etc/zfs/compatibility.d\"\n"))
-               ;; Also update the manual, which uses absolute paths, so that
-               ;; /usr/share/zfs/compatibility.d/ is referred via the store.
-               (substitute* '("man/man7/zpoolprops.7"
-                              "man/man7/zpool-features.7")
-                 (("/usr/share/zfs/compatibility.d")
-                  (string-append out "/share/zfs/compatibility.d")))
-               (substitute* "etc/Makefile.in"
-                 ;; This just contains an example configuration file for
-                 ;; configuring ZFS on traditional init systems, skip it
-                 ;; since we cannot use it anyway; the install target becomes
-                 ;; misdirected.
-                 (("= default ") "= "))
-               (substitute* "lib/libzfs/os/linux/libzfs_util_os.c"
-                 ;; Use path to /gnu/store/*-kmod in actual path that is exec'ed.
-                 (("\"/sbin/modprobe\"")
-                  (string-append "\"" kmod "/bin/modprobe" "\""))
-                 ;; Just use 'modprobe' in message to user, since Guix
-                 ;; does not have a traditional /sbin/
-                 (("'/sbin/modprobe ") "'modprobe "))
-               (substitute* "contrib/Makefile.in"
-                 ;; This is not configurable nor is its hard-coded /usr prefix.
-                 ((" initramfs") ""))
-               (substitute* "module/os/linux/zfs/zfs_ctldir.c"
-                 (("/usr/bin/env\", \"umount")
-                  (string-append util-linux "/bin/umount\", \"-n"))
-                 (("/usr/bin/env\", \"mount")
-                  (string-append util-linux "/bin/mount\", \"-n")))
-               (substitute* "lib/libzfs/os/linux/libzfs_mount_os.c"
-                 (("/bin/mount") (string-append util-linux "/bin/mount"))
-                 (("/bin/umount") (string-append util-linux "/bin/umount")))
-               (substitute* "lib/libshare/os/linux/nfs.c"
-                 (("/usr/sbin/exportfs")
-                  (string-append nfs-utils "/sbin/exportfs")))
-               (substitute* "config/zfs-build.m4"
-                 (("\\$sysconfdir/init.d") (string-append out "/etc/init.d")))
-               (substitute* '("etc/zfs/Makefile.am"
-                              "cmd/zed/Makefile.am")
-                 (("\\$\\(sysconfdir)") (string-append out "/etc")))
-               (substitute* "cmd/vdev_id/vdev_id"
-                 (("PATH=/bin:/sbin:/usr/bin:/usr/sbin")
-                  (string-append "PATH="
-                                 (dirname (which "chmod")) ":"
-                                 (dirname (which "grep")) ":"
-                                 (dirname (which "sed")) ":"
-                                 (dirname (which "gawk")))))
-               (substitute* "contrib/pyzfs/Makefile.in"
-                 ((".*install-lib.*") ""))
-               (substitute* '("Makefile.am" "Makefile.in")
-                 (("\\$\\(prefix)/src") (string-append src "/src")))
-               (substitute* (find-files "udev/rules.d/" ".rules.in$")
-                 (("/sbin/modprobe") (string-append kmod "/bin/modprobe"))))))
-         (replace 'build
-           (lambda _ (invoke "make")))
-         (replace 'install
-           (lambda* (#:key outputs inputs native-inputs #:allow-other-keys)
-             (let* ((out    (assoc-ref outputs "out"))
-                    (moddir (assoc-ref outputs "module"))
-                    (kmod   (assoc-ref (or native-inputs inputs) "kmod")))
-               (invoke "make" "install"
-                       (string-append "DEFAULT_INITCONF_DIR=" out "/etc/default")
-                       (string-append "DEPMOD=" kmod "/bin/depmod")
-                       (string-append "INSTALL_PATH=" out)
-                       (string-append "INSTALL_MOD_PATH=" moddir)
-                       "INSTALL_MOD_STRIP=1")
-               (install-file "contrib/bash_completion.d/zfs"
-                             (string-append out
-                                            "/share/bash-completion/completions"))))))))
+     (list
+      ;; The ZFS kernel module should not be downloaded since the license
+      ;; terms don't allow for distributing it, only building it locally.
+      #:substitutable? #f
+      ;; Tests cannot run in an unprivileged build environment.
+      #:tests? #f
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'configure 'really-configure
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "configure"
+                (("-/bin/sh") (string-append "-" (which "sh"))))
+              (invoke "./configure"
+                      "--with-config=all"
+                      (string-append "--prefix=" #$output)
+                      (string-append "--with-dracutdir=" #$output
+                                     "/lib/dracut")
+                      (string-append "--with-udevdir=" #$output
+                                     "/lib/udev")
+                      (string-append "--with-mounthelperdir=" #$output
+                                     "/sbin")
+                      (string-append "--with-linux="
+                                     (assoc-ref inputs "linux-module-builder")
+                                     "/lib/modules/build"))))
+          (add-after 'unpack 'patch-source
+            (lambda* (#:key inputs #:allow-other-keys)
+              ;; New feature "compatibility=" in 2.1.0.
+              ;; This feature looks up in two locations:
+              ;;   /etc/zfs/compatibility.d/
+              ;;   /usr/share/zfs/compatibility.d/
+              ;; The first is intended for system-specific compatibility
+              ;; sets, while the second is what is installed with the
+              ;; OpenZFS package, so use the absolute path for the first
+              ;; (which requires patching in the file) and the store path
+              ;; for the second (which it gets by default).
+              (substitute* "include/sys/fs/zfs.h"
+                (("#define\tZPOOL_SYSCONF_COMPAT_D.*$")
+                 ;; Use absolute path.
+                 "#define\tZPOOL_SYSCONF_COMPAT_D\t\"/etc/zfs/compatibility.d\"\n"))
+              ;; Also update the manual, which uses absolute paths, so that
+              ;; /usr/share/zfs/compatibility.d/ is referred via the store.
+              (substitute* '("man/man7/zpoolprops.7"
+                             "man/man7/zpool-features.7")
+                (("/usr/share/zfs/compatibility.d")
+                 (string-append #$output "/share/zfs/compatibility.d")))
+              (substitute* "etc/Makefile.in"
+                ;; This just contains an example configuration file for
+                ;; configuring ZFS on traditional init systems, skip it
+                ;; since we cannot use it anyway; the install target becomes
+                ;; misdirected.
+                (("= default ") "= "))
+              (substitute* "lib/libzfs/os/linux/libzfs_util_os.c"
+                ;; Use path to /gnu/store/*-kmod in actual path that is
+                ;; exec'ed.
+                (("\"/sbin/modprobe\"")
+                 (string-append "\""
+                                (search-input-file inputs "/bin/modprobe")
+                                "\""))
+                ;; Just use 'modprobe' in message to user, since Guix
+                ;; does not have a traditional /sbin/
+                (("'/sbin/modprobe ") "'modprobe "))
+              (substitute* "contrib/Makefile.in"
+                ;; This is not configurable nor is its hard-coded /usr prefix.
+                ((" initramfs") ""))
+              (substitute* "module/os/linux/zfs/zfs_ctldir.c"
+                (("/usr/bin/env\", \"umount")
+                 (string-append (search-input-file inputs "/bin/umount")
+                                "\", \"-n"))
+                (("/usr/bin/env\", \"mount")
+                 (string-append (search-input-file inputs "/bin/mount")
+                                "\", \"-n")))
+              (substitute* "lib/libzfs/os/linux/libzfs_mount_os.c"
+                (("/bin/mount") (search-input-file inputs "/bin/mount"))
+                (("/bin/umount") (search-input-file inputs "/bin/umount")))
+              (substitute* "lib/libshare/os/linux/nfs.c"
+                (("/usr/sbin/exportfs")
+                 (search-input-file inputs "/sbin/exportfs")))
+              (substitute* "config/zfs-build.m4"
+                (("\\$sysconfdir/init.d")
+                 (string-append #$output "/etc/init.d")))
+              (substitute* '("etc/zfs/Makefile.am"
+                             "cmd/zed/Makefile.am")
+                (("\\$\\(sysconfdir)") (string-append #$output "/etc")))
+              (substitute* "cmd/vdev_id/vdev_id"
+                (("PATH=/bin:/sbin:/usr/bin:/usr/sbin")
+                 (string-append "PATH="
+                                (dirname (which "chmod")) ":"
+                                (dirname (which "grep")) ":"
+                                (dirname (which "sed")) ":"
+                                (dirname (which "gawk")))))
+              (substitute* "contrib/pyzfs/Makefile.in"
+                ((".*install-lib.*") ""))
+              (substitute* '("Makefile.am" "Makefile.in")
+                (("\\$\\(prefix)/src") (string-append #$output:src "/src")))
+              (substitute* (find-files "udev/rules.d/" ".rules.in$")
+                (("/sbin/modprobe")
+                 (search-input-file inputs "/bin/modprobe")))))
+          (replace 'build
+            (lambda _ (invoke "make")))
+          (replace 'install
+            (lambda* (#:key inputs native-inputs #:allow-other-keys)
+              (let* ((kmod (assoc-ref (or native-inputs inputs) "kmod")))
+                (invoke "make" "install"
+                        (string-append "DEFAULT_INITCONF_DIR="
+                                       #$output "/etc/default")
+                        (string-append "DEPMOD="
+                                       (search-input-file
+                                        (or native-inputs inputs)
+                                        "/bin/depmod"))
+                        (string-append "INSTALL_PATH=" #$output)
+                        (string-append "INSTALL_MOD_PATH=" #$output:module)
+                        "INSTALL_MOD_STRIP=1")
+                (install-file
+                 "contrib/bash_completion.d/zfs"
+                 (string-append #$output
+                                "/share/bash-completion/completions"))))))))
     (native-inputs
      (list attr kmod pkg-config))
-    (inputs
-     `(("eudev" ,eudev)
-       ("kmod-runtime" ,kmod)
-       ("libaio" ,libaio)
-       ("libtirpc" ,libtirpc)
-       ("nfs-utils" ,nfs-utils)
-       ("openssl" ,openssl)
-       ("python" ,python)
-       ("python-cffi" ,python-cffi)
-       ("util-linux" ,util-linux)
-       ("util-linux:lib" ,util-linux "lib")
-       ("zlib" ,zlib)))
+    (inputs (list eudev
+                  kmod
+                  libaio
+                  libtirpc
+                  nfs-utils
+                  openssl
+                  python
+                  python-cffi
+                  util-linux
+                  `(,util-linux "lib")
+                  zlib))
     (home-page "https://zfsonlinux.org/")
     (synopsis "OpenZFS on Linux")
     (description
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 11 May 2022 14:57:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:57:57 2022
Received: from localhost ([127.0.0.1]:38092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nonmn-0007cV-0F
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:57:57 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:53598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nonml-0007cL-4u
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 10:57:55 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by michel.telenet-ops.be with bizsmtp
 id VSxt2700L4UW6Th06SxtX9; Wed, 11 May 2022 16:57:53 +0200
Message-ID: <2cbe4ede93a89125eab0b2836170ba6c0a8f6ee4.camel@HIDDEN>
Subject: Re: [bug#55369] [PATCH 1/2] gnu: zfs: Use new package style.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brian Cully <bjc@HIDDEN>, 55369 <at> debbugs.gnu.org
Date: Wed, 11 May 2022 16:57:53 +0200
In-Reply-To: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-9s9zraR1pghCM8B8IeQ8"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652281073; bh=H9nIoEwu2vIYxtaIrq74hHrS7qXfQ9e6Kg3kRsriNQQ=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=m0Ktbpkv7OYcorynp2z1QKpZm4iuL8mIdJlqQaaTeRpRJk0gxoYTT6NMe6D8n1pxY
 hHADnMViUyWzlb7N1h9LTGw12YAASvmCHIs+l6Bo1J7P21Ai3O5Kz5gXKNzx1wuuSq
 HGH4S3WBB5+50PU3vysbIFPgq3FKLuaqdSuGuQ2QqHSVH8+7DE3XH61/HYrKrLKae5
 nu/LF+/Kld2GKnDnXAykEuZ0qYhzSnWEF/SvlfQtt/wqhLlhW1bngZmGQwouVrG7PD
 U8hFjA+0/JZtnDNeewzM6UdpQz/F+WAtH91+lFcjVYDxqT/pnQumXVxkYkrACTaHl5
 ZJ24MmOMVk6UQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-9s9zraR1pghCM8B8IeQ8
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Brian Cully via Guix-patches via schreef op wo 11-05-2022 om 09:37 [-
0400]:
> -         (add-after 'unpack 'patch-source
> -           (lambda* (#:key inputs outputs #:allow-other-keys)
> -             (let ((out        (assoc-ref outputs "out"))
> -                   (src        (assoc-ref outputs "src"))
> -                   (util-linux (assoc-ref inputs "util-linux"))
> -                   (nfs-utils  (assoc-ref inputs "nfs-utils"))
> -                   (kmod       (assoc-ref inputs "kmod-runtime")))
[...]
> +          (add-after 'unpack 'patch-source
> +            (lambda _ [...]
> +              (substitute* "lib/libzfs/os/linux/libzfs_util_os.c"
> +                ;; Use path to /gnu/store/*-kmod in actual path that is =
exec'ed.
> +                (("\"/sbin/modprobe\"")
> +                 (string-append "\"" #$kmod "/bin/modprobe" "\""))

This breaks package transformations -- now the 'kmod' from (gnu
packages linux) is hardcoded, it cannot be replaced by something else
with --with-input or (package (inherit ...) (inputs (list custom-kmod
...)) or the like.  (Currently no mechanism exists to rewrite G-exps.)

Instead, do

  (lambda* (#:key inputs #:allow-other-keys)
    [...]
    (string-append "\"" (search-input-file inputs "bin/modprobe))
    [...])
Greetings,
Maxime.

--=-9s9zraR1pghCM8B8IeQ8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnvO8RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7jkLAQDWdFUmbbMTYQv3JFnGbG6HnYS3
oMRZdOkmv0l85a/NMAEA8gcQtb8ThXud0GbrFKX/6AydV6Z5pJKchrtn10c4mQw=
=i/yi
-----END PGP SIGNATURE-----

--=-9s9zraR1pghCM8B8IeQ8--





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 11 May 2022 14:53:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:53:37 2022
Received: from localhost ([127.0.0.1]:38087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nonib-0007Uu-Fq
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:53:37 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:38282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1noniZ-0007Uk-KN
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 10:53:36 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by laurent.telenet-ops.be with bizsmtp
 id VStZ2700E4UW6Th01StZgg; Wed, 11 May 2022 16:53:34 +0200
Message-ID: <db6a8a704e6d1f9159130c454a9beafb74db32e0.camel@HIDDEN>
Subject: Re: [bug#55369] [PATCH 1/2] gnu: zfs: Use new package style.
From: Maxime Devos <maximedevos@HIDDEN>
To: Brian Cully <bjc@HIDDEN>, 55369 <at> debbugs.gnu.org
Date: Wed, 11 May 2022 16:53:28 +0200
In-Reply-To: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
References: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-bH8QDiZ8fCaiH6eR/2ZF"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1652280814; bh=Rnij5fuktEItCzpYY8ZaFtLSrHhkhFjOakFTnEOL3MY=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=Y/XatN9hLy8vxXLnEEBbnXXJV6ZPPsXEYPXFKW1WAxh/1c8Hthee82ASxeWXOGlhA
 DuyK6Q+1k7GEMBgTYamZ1pcRECW2oAih0+OFG+yZwXvxFWDLbpfLFDsYKD8XwWSVLx
 arQKhLSa1n1HNSHqDOFyVi+6d5nUWTTi4wUTKVNhpUtCY5WDQgEJcXGA9ubHbDO6VK
 WVkbw7xsJxl2H5t8noYBJeXhQq8AiBA5PSi9wgDxQcV2Rd70QrvZvocNFtfK+tAWfP
 /6PzioA61OFuNdJI7Ib5ub4E4Flekz1EdYA0HWVokXFmKN8LE08ZQcP73W+OguE/e+
 9BsTH50bs3WMg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-bH8QDiZ8fCaiH6eR/2ZF
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Brian Cully via Guix-patches via schreef op wo 11-05-2022 om 09:37 [-
0400]:
> Remove redundant =E2=80=98util-linux=E2=80=99 as =E2=80=98util-linux:lib=
=E2=80=99 has the required
> mount/umount binaries.

It doesn't:
/gnu/store/7nlzk7n90ib3llblxlpz725ym3k05gdj-util-linux-2.37.2-lib/
(x86_64-linux) does not have a 'bin' or 'sbin' subdirectory.

Greetings,
Maxime.

--=-bH8QDiZ8fCaiH6eR/2ZF
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYnvN6BccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7iI1AQDstA+RYXTL4TXmv9NtcHNUz4XE
sXM1a6yZn5Y28AivfAEAj3fBV6zdrauTOTIh18Lh0ZQcR8QJQWC2qSiIf8+TmQg=
=64uW
-----END PGP SIGNATURE-----

--=-bH8QDiZ8fCaiH6eR/2ZF--





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at 55369 <at> debbugs.gnu.org:


Received: (at 55369) by debbugs.gnu.org; 11 May 2022 13:40:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:40:18 2022
Received: from localhost ([127.0.0.1]:36579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomZe-0006pF-73
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:40:18 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:61770 helo=mail.spork.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1nomZc-0006p7-5w
 for 55369 <at> debbugs.gnu.org; Wed, 11 May 2022 09:40:16 -0400
Received: from guix.jhoto.kublai.com (unknown
 [IPv6:2001:470:1f07:1b9:c714:ed8b:7cf4:a700])
 by mail.spork.org (Postfix) with ESMTPSA id E75046341;
 Wed, 11 May 2022 09:40:15 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652276416; bh=PCvafXrGECXRPP411FUwvVofm8qvZg4nk6EaZP6koWM=;
 h=From:To:Cc:Subject:Date;
 b=GILxO5amKs/DHcMDdPGmmshq29yrHZ7LEj79tOWW52weraU5TAHw/2aBYIFPMm9H/
 QH8xIMmfa4UMFI8vHwqooTzpdwMjUTWfHu6WQx+bbLltLZlv786n1D8ZISBbaBhzvG
 rzuUhJRm6Ff1h62S+g11qg2zfFdutsiyxh1buBX8=
From: Brian Cully <bjc@HIDDEN>
To: 55369 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Change OpenZFS home page to reflect new project
 ownership.
Date: Wed, 11 May 2022 09:40:10 -0400
Message-Id: <033ce20b14961a10577effb21c3005fc0cf0d348.1652276410.git.bjc@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55369
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Brian Cully <bjc@HIDDEN>

gnu/packages/file-systems.scm (zfs) [home-page]: Update URL.
---
 gnu/packages/file-systems.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index 9f4415ce18..9e68837562 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -1271,7 +1271,7 @@ (define-public zfs
                   python-cffi
                   `(,util-linux "lib")
                   zlib))
-    (home-page "https://zfsonlinux.org/")
+    (home-page "https://openzfs.org/")
     (synopsis "OpenZFS on Linux")
     (description
      "OpenZFS is an advanced file system and volume manager which was
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 May 2022 13:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:37:52 2022
Received: from localhost ([127.0.0.1]:36574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomXD-0006kJ-3c
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:37:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:40298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjc@HIDDEN>) id 1nomXA-0006k9-Ss
 for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:37:45 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59344)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjc@HIDDEN>) id 1nomXA-0001sE-Ly
 for guix-patches@HIDDEN; Wed, 11 May 2022 09:37:44 -0400
Received: from coleridge.kublai.com ([166.84.7.167]:64039 helo=mail.spork.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjc@HIDDEN>) id 1nomX8-0006Bu-6V
 for guix-patches@HIDDEN; Wed, 11 May 2022 09:37:44 -0400
Received: from guix.jhoto.kublai.com (unknown
 [IPv6:2001:470:1f07:1b9:c714:ed8b:7cf4:a700])
 by mail.spork.org (Postfix) with ESMTPSA id DAC4E633F;
 Wed, 11 May 2022 09:37:33 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=spork.org; s=dkim;
 t=1652276254; bh=CAuinKkUc5SL3ApcPXcZVvzAX64EEqZ8oxcYYEK00Fc=;
 h=From:To:Cc:Subject:Date;
 b=byMMo/yoSKgGwcSuiwrXfEpb5Q/oqRADOGWef2oy7R3zwVaMUEWA/80TVmtdT38r1
 +vZ7EjB+Vg2++Ic37YFH1ohotNuIiP+zafs3RCW/AboMJkV3ImryI2ud3Uw6ojiIhN
 F6prvI0KVac9b+rbK3sSTvCnRAuKrp8896prX58s=
From: Brian Cully <bjc@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] gnu: zfs: Use new package style.
Date: Wed, 11 May 2022 09:37:31 -0400
Message-Id: <9c79808be27869958987782313cec824787b651f.1652276252.git.bjc@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=166.84.7.167; envelope-from=bjc@HIDDEN;
 helo=mail.spork.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Brian Cully <bjc@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: Brian Cully <bjc@HIDDEN>

* gnu/packages/file-systems.scm (zfs): Comment style.
[arguments]: Rewrite using gexps.
[inputs]: Remove labels.
Remove redundant ‘util-linux’ as ‘util-linux:lib’ has the required
mount/umount binaries.
---
 gnu/packages/file-systems.scm | 231 ++++++++++++++++------------------
 1 file changed, 111 insertions(+), 120 deletions(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index e6ec51fe40..9f4415ce18 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -1158,128 +1158,119 @@ (define-public zfs
            (base32 "1xmcy4f0damf1pkb1sy1339ir1jkky0dwzd8vhwgc1pqjgac0liv"))))
     (build-system linux-module-build-system)
     (arguments
-     `(;; The ZFS kernel module should not be downloaded since the license
-       ;; terms don't allow for distributing it, only building it locally.
-       #:substitutable? #f
-       ;; Tests cannot run in an unprivileged build environment.
-       #:tests? #f
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'configure 'really-configure
-           (lambda* (#:key outputs inputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out")))
-               (substitute* "configure"
-                 (("-/bin/sh") (string-append "-" (which "sh"))))
-               (invoke "./configure"
-                       "--with-config=all"
-                       (string-append "--prefix=" out)
-                       (string-append "--with-dracutdir=" out "/lib/dracut")
-                       (string-append "--with-udevdir=" out "/lib/udev")
-                       (string-append "--with-mounthelperdir=" out "/sbin")
-                       (string-append "--with-linux="
-                                      (assoc-ref inputs "linux-module-builder")
-                                      "/lib/modules/build")))))
-         (add-after 'unpack 'patch-source
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let ((out        (assoc-ref outputs "out"))
-                   (src        (assoc-ref outputs "src"))
-                   (util-linux (assoc-ref inputs "util-linux"))
-                   (nfs-utils  (assoc-ref inputs "nfs-utils"))
-                   (kmod       (assoc-ref inputs "kmod-runtime")))
-               ;; New feature "compatibility=" in 2.1.0.
-               ;; This feature looks up in two locations:
-               ;;   /etc/zfs/compatibility.d/
-               ;;   /usr/share/zfs/compatibility.d/
-               ;; The first is intended for system-specific compatibility
-               ;; sets, while the second is what is installed with the
-               ;; OpenZFS package, so use the absolute path for the first
-               ;; (which requires patching in the file) and the store path
-               ;; for the second (which it gets by default).
-               (substitute* "include/sys/fs/zfs.h"
-                 (("#define\tZPOOL_SYSCONF_COMPAT_D.*$")
-                  ; Use absolute path.
-                  "#define\tZPOOL_SYSCONF_COMPAT_D\t\"/etc/zfs/compatibility.d\"\n"))
-               ;; Also update the manual, which uses absolute paths, so that
-               ;; /usr/share/zfs/compatibility.d/ is referred via the store.
-               (substitute* '("man/man7/zpoolprops.7"
-                              "man/man7/zpool-features.7")
-                 (("/usr/share/zfs/compatibility.d")
-                  (string-append out "/share/zfs/compatibility.d")))
-               (substitute* "etc/Makefile.in"
-                 ;; This just contains an example configuration file for
-                 ;; configuring ZFS on traditional init systems, skip it
-                 ;; since we cannot use it anyway; the install target becomes
-                 ;; misdirected.
-                 (("= default ") "= "))
-               (substitute* "lib/libzfs/os/linux/libzfs_util_os.c"
-                 ;; Use path to /gnu/store/*-kmod in actual path that is exec'ed.
-                 (("\"/sbin/modprobe\"")
-                  (string-append "\"" kmod "/bin/modprobe" "\""))
-                 ;; Just use 'modprobe' in message to user, since Guix
-                 ;; does not have a traditional /sbin/
-                 (("'/sbin/modprobe ") "'modprobe "))
-               (substitute* "contrib/Makefile.in"
-                 ;; This is not configurable nor is its hard-coded /usr prefix.
-                 ((" initramfs") ""))
-               (substitute* "module/os/linux/zfs/zfs_ctldir.c"
-                 (("/usr/bin/env\", \"umount")
-                  (string-append util-linux "/bin/umount\", \"-n"))
-                 (("/usr/bin/env\", \"mount")
-                  (string-append util-linux "/bin/mount\", \"-n")))
-               (substitute* "lib/libzfs/os/linux/libzfs_mount_os.c"
-                 (("/bin/mount") (string-append util-linux "/bin/mount"))
-                 (("/bin/umount") (string-append util-linux "/bin/umount")))
-               (substitute* "lib/libshare/os/linux/nfs.c"
-                 (("/usr/sbin/exportfs")
-                  (string-append nfs-utils "/sbin/exportfs")))
-               (substitute* "config/zfs-build.m4"
-                 (("\\$sysconfdir/init.d") (string-append out "/etc/init.d")))
-               (substitute* '("etc/zfs/Makefile.am"
-                              "cmd/zed/Makefile.am")
-                 (("\\$\\(sysconfdir)") (string-append out "/etc")))
-               (substitute* "cmd/vdev_id/vdev_id"
-                 (("PATH=/bin:/sbin:/usr/bin:/usr/sbin")
-                  (string-append "PATH="
-                                 (dirname (which "chmod")) ":"
-                                 (dirname (which "grep")) ":"
-                                 (dirname (which "sed")) ":"
-                                 (dirname (which "gawk")))))
-               (substitute* "contrib/pyzfs/Makefile.in"
-                 ((".*install-lib.*") ""))
-               (substitute* '("Makefile.am" "Makefile.in")
-                 (("\\$\\(prefix)/src") (string-append src "/src")))
-               (substitute* (find-files "udev/rules.d/" ".rules.in$")
-                 (("/sbin/modprobe") (string-append kmod "/bin/modprobe"))))))
-         (replace 'build
-           (lambda _ (invoke "make")))
-         (replace 'install
-           (lambda* (#:key outputs inputs native-inputs #:allow-other-keys)
-             (let* ((out    (assoc-ref outputs "out"))
-                    (moddir (assoc-ref outputs "module"))
-                    (kmod   (assoc-ref (or native-inputs inputs) "kmod")))
-               (invoke "make" "install"
-                       (string-append "DEFAULT_INITCONF_DIR=" out "/etc/default")
-                       (string-append "DEPMOD=" kmod "/bin/depmod")
-                       (string-append "INSTALL_PATH=" out)
-                       (string-append "INSTALL_MOD_PATH=" moddir)
-                       "INSTALL_MOD_STRIP=1")
-               (install-file "contrib/bash_completion.d/zfs"
-                             (string-append out
-                                            "/share/bash-completion/completions"))))))))
+     (list
+      ;; The ZFS kernel module should not be downloaded since the license
+      ;; terms don't allow for distributing it, only building it locally.
+      #:substitutable? #f
+      ;; Tests cannot run in an unprivileged build environment.
+      #:tests? #f
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'configure 'really-configure
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "configure"
+                (("-/bin/sh") (string-append "-" (which "sh"))))
+              (invoke "./configure"
+                      "--with-config=all"
+                      (string-append "--prefix=" #$output)
+                      (string-append "--with-dracutdir=" #$output "/lib/dracut")
+                      (string-append "--with-udevdir=" #$output "/lib/udev")
+                      (string-append "--with-mounthelperdir=" #$output "/sbin")
+                      (string-append "--with-linux="
+                                     (assoc-ref inputs "linux-module-builder")
+                                     "/lib/modules/build"))))
+          (add-after 'unpack 'patch-source
+            (lambda _
+              ;; New feature "compatibility=" in 2.1.0.
+              ;; This feature looks up in two locations:
+              ;;   /etc/zfs/compatibility.d/
+              ;;   /usr/share/zfs/compatibility.d/
+              ;; The first is intended for system-specific compatibility
+              ;; sets, while the second is what is installed with the
+              ;; OpenZFS package, so use the absolute path for the first
+              ;; (which requires patching in the file) and the store path
+              ;; for the second (which it gets by default).
+              (substitute* "include/sys/fs/zfs.h"
+                (("#define\tZPOOL_SYSCONF_COMPAT_D.*$")
+                 ;; Use absolute path.
+                 "#define\tZPOOL_SYSCONF_COMPAT_D\t\"/etc/zfs/compatibility.d\"\n"))
+              ;; Also update the manual, which uses absolute paths, so that
+              ;; /usr/share/zfs/compatibility.d/ is referred via the store.
+              (substitute* '("man/man7/zpoolprops.7"
+                             "man/man7/zpool-features.7")
+                (("/usr/share/zfs/compatibility.d")
+                 (string-append #$output "/share/zfs/compatibility.d")))
+              (substitute* "etc/Makefile.in"
+                ;; This just contains an example configuration file for
+                ;; configuring ZFS on traditional init systems, skip it
+                ;; since we cannot use it anyway; the install target becomes
+                ;; misdirected.
+                (("= default ") "= "))
+              (substitute* "lib/libzfs/os/linux/libzfs_util_os.c"
+                ;; Use path to /gnu/store/*-kmod in actual path that is exec'ed.
+                (("\"/sbin/modprobe\"")
+                 (string-append "\"" #$kmod "/bin/modprobe" "\""))
+                ;; Just use 'modprobe' in message to user, since Guix
+                ;; does not have a traditional /sbin/
+                (("'/sbin/modprobe ") "'modprobe "))
+              (substitute* "contrib/Makefile.in"
+                ;; This is not configurable nor is its hard-coded /usr prefix.
+                ((" initramfs") ""))
+              (substitute* "module/os/linux/zfs/zfs_ctldir.c"
+                (("/usr/bin/env\", \"umount")
+                 (string-append #$util-linux "/bin/umount\", \"-n"))
+                (("/usr/bin/env\", \"mount")
+                 (string-append #$util-linux "/bin/mount\", \"-n")))
+              (substitute* "lib/libzfs/os/linux/libzfs_mount_os.c"
+                (("/bin/mount") (string-append #$util-linux "/bin/mount"))
+                (("/bin/umount") (string-append #$util-linux "/bin/umount")))
+              (substitute* "lib/libshare/os/linux/nfs.c"
+                (("/usr/sbin/exportfs")
+                 (string-append #$nfs-utils "/sbin/exportfs")))
+              (substitute* "config/zfs-build.m4"
+                (("\\$sysconfdir/init.d") (string-append #$output "/etc/init.d")))
+              (substitute* '("etc/zfs/Makefile.am"
+                             "cmd/zed/Makefile.am")
+                (("\\$\\(sysconfdir)") (string-append #$output "/etc")))
+              (substitute* "cmd/vdev_id/vdev_id"
+                (("PATH=/bin:/sbin:/usr/bin:/usr/sbin")
+                 (string-append "PATH="
+                                (dirname (which "chmod")) ":"
+                                (dirname (which "grep")) ":"
+                                (dirname (which "sed")) ":"
+                                (dirname (which "gawk")))))
+              (substitute* "contrib/pyzfs/Makefile.in"
+                ((".*install-lib.*") ""))
+              (substitute* '("Makefile.am" "Makefile.in")
+                (("\\$\\(prefix)/src") (string-append #$output:src "/src")))
+              (substitute* (find-files "udev/rules.d/" ".rules.in$")
+                (("/sbin/modprobe") (string-append #$kmod "/bin/modprobe")))))
+          (replace 'build
+            (lambda _ (invoke "make")))
+          (replace 'install
+            (lambda* (#:key inputs native-inputs #:allow-other-keys)
+              (let* ((kmod (assoc-ref (or native-inputs inputs) "kmod")))
+                (invoke "make" "install"
+                        (string-append "DEFAULT_INITCONF_DIR=" #$output "/etc/default")
+                        (string-append "DEPMOD=" kmod "/bin/depmod")
+                        (string-append "INSTALL_PATH=" #$output)
+                        (string-append "INSTALL_MOD_PATH=" #$output:module)
+                        "INSTALL_MOD_STRIP=1")
+                (install-file "contrib/bash_completion.d/zfs"
+                              (string-append #$output
+                                             "/share/bash-completion/completions"))))))))
     (native-inputs
      (list attr kmod pkg-config))
-    (inputs
-     `(("eudev" ,eudev)
-       ("kmod-runtime" ,kmod)
-       ("libaio" ,libaio)
-       ("libtirpc" ,libtirpc)
-       ("nfs-utils" ,nfs-utils)
-       ("openssl" ,openssl)
-       ("python" ,python)
-       ("python-cffi" ,python-cffi)
-       ("util-linux" ,util-linux)
-       ("util-linux:lib" ,util-linux "lib")
-       ("zlib" ,zlib)))
+    (inputs (list eudev
+                  kmod
+                  libaio
+                  libtirpc
+                  nfs-utils
+                  openssl
+                  python
+                  python-cffi
+                  `(,util-linux "lib")
+                  zlib))
     (home-page "https://zfsonlinux.org/")
     (synopsis "OpenZFS on Linux")
     (description
-- 
2.36.0





Acknowledgement sent to Brian Cully <bjc@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55369; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 May 2022 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.